<?php

namespace phil\HabboFont2\app\fonts\large;

use phil\HabboFont2\app\addons\HotelAddon;
use phil\HabboFont2\app\addons\LargeBetaSignAddon;
use phil\HabboFont2\app\addons\ChickenAddon;
use phil\HabboFont2\app\addons\XmasHatAddon;
use phil\HabboFont2\Config;
use phil\HabboFont2\fonts\Font;

class LargeDefaultFont extends Font {

	public function __construct() {

		$this->addAddon(LargeBetaSignAddon::class);
		$this->addAddon(XmasHatAddon::class);
		$this->addAddon(ChickenAddon::class);
		$this->addAddon(HotelAddon::class);
	}

	public function getDirectory() {

		return __DIR__ . "/../../." . Config::FONT_PATH . "large/default/";
	}

	public function getBorder() {

		return 14;
	}

	public function getCharSigns() {

		return [
			"A",
			"B",
			"C",
			"D",
			"E",
			"F",
			"G",
			"H",
			"I",
			"J",
			"K",
			"L",
			"M",
			"N",
			"O",
			"P",
			"Q",
			"R",
			"S",
			"T",
			"U",
			"V",
			"W",
			"X",
			"Y",
			"Z",
			" "
		];
	}

	public function getCharReplacements() {

		return [
			" " => "_"
		];
	}
}