<?php

namespace phil\HabboFont2\app\fonts\large;


use phil\HabboFont2\app\addons\ChickenAddon;
use phil\HabboFont2\app\addons\HotelAddon;
use phil\HabboFont2\app\addons\MediumBetaSignAddon;
use phil\HabboFont2\app\addons\XmasHatAddon;
use phil\HabboFont2\fonts\Font;
use phil\HabboFont2\Config;

class MediumDefaultFont extends Font
{

    public function __construct()
    {
        $this->addAddon(HotelAddon::class);
        $this->addAddon(ChickenAddon::class);
        $this->addAddon(XmasHatAddon::class);
        $this->addAddon(MediumBetaSignAddon::class);
    }

    public function getDirectory() {

        return __DIR__ . "/../../." . Config::FONT_PATH . "medium/default/";
    }

    public function getBorder()
    {
        return 10;
    }

    public function getCharSigns() {

        return [
            "A",
            "B",
            "C",
            "D",
            "E",
            "F",
            "G",
            "H",
            "I",
            "J",
            "K",
            "L",
            "M",
            "N",
            "O",
            "P",
            "Q",
            "R",
            "S",
            "T",
            "U",
            "V",
            "W",
            "X",
            "Y",
            "Z",
            " "
        ];
    }

    public function getCharReplacements() {

        return [
            " " => "_"
        ];
    }
}