<?php

namespace phil\HabboFont2\artist;

class BlankImage {

	private $_width;

	private $_height;

	private $_image;

	public function __construct($width, $height) {

		$this->_width = $width;
		$this->_height = $height;

		$this->_image = imageCreateTrueColor($width, $height);

		imageSaveAlpha($this->_image, true);
		$color = imageColorAllocateAlpha($this->_image, 0, 0, 0, 127);
		imageFill($this->_image, 0, 0, $color);
	}

	public function appendImage(IImage $image, $x, $y) {

		$img = $image->getImage();

		imageCopyResampled($this->_image, $img, $x, $y, 0, 0, $image->getWidth(), $image->getHeight(), $image->getWidth(), $image->getHeight());
	}

	/**
	 * @return mixed
	 */
	public function getHeight() {

		return $this->_height;
	}

	/**
	 * @return resource
	 */
	public function getImage() {

		return $this->_image;
	}

	/**
	 * @return mixed
	 */
	public function getWidth() {

		return $this->_width;
	}
}